# Generated from sidekiq-symbols-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sidekiq-symbols

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Give Sidekiq symbols and keyword arguments
License: MIT
URL: https://github.com/aprescott/sidekiq-symbols
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(appraisal)
BuildArch: noarch

%description
Forces Sidekiq jobs to use symbolized keys and enables keyword arguments.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/sidekiq-symbols.gemspec
%{gem_instdir}/spec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.2.0-1
- Initial package
